## node-katex 0.8.3+dfsg

=== Makefile ===
.PHONY: build dist lint setup copy serve clean metrics test coverage zip contrib
build: lint build/katex.min.js build/katex.min.css contrib zip compress

ifeq ($(KATEX_DIST),skip)

dist:

else

dist: build
	rm -rf dist/
	cp -R build/katex/ dist/

endif

NODE := node # pass NODE=nodejs on Debian without package nodejs-legacy
NODECHK := $(shell $(NODE) ./check-node-version.js)
ifneq ($(NODECHK),OK)
$(error "Node not found or wrong version")
endif

# Export these variables for use in contrib Makefiles
export BUILDDIR = $(realpath build)
export BROWSERIFY = $(realpath ./node_modules/.bin/browserify)
export UGLIFYJS = $(realpath ./node_modules/.bin/uglifyjs) \
	--mangle \
	--beautify \
	ascii_only=true,beautify=false

# The prepublish script in package.json will override the following variable,
# setting it to the empty string and thereby avoiding an infinite recursion
NIS = .npm-install.stamp

$(NIS) setup: package.json
	KATEX_DIST=skip npm install # dependencies only, don't build
	@touch $(NIS)

lint: $(NIS) katex.js server.js cli.js $(wildcard src/*.js) $(wildcard test/*.js) $(wildcard contrib/*/*.js) $(wildcard dockers/*/*.js)
	./node_modules/.bin/eslint $(filter-out %.stamp,$^)

build/katex.js: katex.js $(wildcard src/*.js) $(NIS)
	$(BROWSERIFY) -t [ babelify ] $< --standalone katex > $@

build/katex.min.js: build/katex.js
	$(UGLIFYJS) < $< > $@

build/katex.css: static/katex.less $(wildcard static/*.less) $(NIS)
	./node_modules/.bin/lessc $< $@

build/katex.min.css: build/katex.css
	./node_modules/.bin/cleancss -o $@ $<

.PHONY: build/fonts
build/fonts:
	rm -rf $@
	mkdir $@
	for font in $(shell grep "font" static/katex.less | grep -o "KaTeX_\w\+" | cut -d" " -f 2 | sort | uniq); do \
		cp static/fonts/$$font* $@; \
	done

test/screenshotter/unicode-fonts:
	git clone https://github.com/Khan/KaTeX-test-fonts test/screenshotter/unicode-fonts
	cd test/screenshotter/unicode-fonts && \
	git checkout 99fa66a2da643218754c8236b9f9151cac71ba7c && \
	cd ../../../

contrib: build/contrib

.PHONY: build/contrib
build/contrib:
	mkdir -p build/contrib
	@# Since everything in build/contrib is put in the built files, make sure
	@# there's nothing in there we don't want.
	rm -rf build/contrib/*
	$(MAKE) -C contrib/auto-render

.PHONY: build/katex
build/katex: build/katex.js build/katex.min.js build/katex.css build/katex.min.css build/fonts README.md build/contrib
	mkdir -p build/katex
	rm -rf build/katex/*
	cp -r $^ build/katex

build/katex.tar.gz: build/katex
	cd build && tar czf katex.tar.gz katex/

build/katex.zip: build/katex
	rm -f $@
	cd build && zip -rq katex.zip katex/

zip: build/katex.tar.gz build/katex.zip

compress: build/katex.min.js build/katex.min.css
	@JSSIZE=`gzip -c build/katex.min.js | wc -c`; \
	CSSSIZE=`gzip -c build/katex.min.css | wc -c`; \
	TOTAL=`echo $${JSSIZE}+$${CSSSIZE} | bc`; \
	printf "Minified, gzipped js:  %6d\n" "$${JSSIZE}"; \
	printf "Minified, gzipped css: %6d\n" "$${CSSSIZE}"; \
	printf "Total:                 %6d\n" "$${TOTAL}"

serve: $(NIS)
	$(NODE) server.js

test: $(NIS)
	node_modules/.bin/jest

coverage: $(NIS)
	node_modules/.bin/jest --coverage

PERL=perl
PYTHON=$(shell python2 --version >/dev/null 2>&1 && echo python2 || echo python)

metrics:
	cd metrics && $(PERL) ./mapping.pl | $(PYTHON) ./extract_tfms.py | $(PYTHON) ./extract_ttfs.py | $(PYTHON) ./format_json.py > ../src/fontMetricsData.js

extended_metrics:
	cd metrics && $(PERL) ./mapping.pl | $(PYTHON) ./extract_tfms.py | $(PYTHON) ./extract_ttfs.py | $(PYTHON) ./format_json.py --width > ../src/fontMetricsData.js

clean:
	rm -rf build/* $(NIS)

screenshots: test/screenshotter/unicode-fonts $(NIS)
	dockers/Screenshotter/screenshotter.sh

=== contrib/auto-render/Makefile ===
.PHONY: build

build: $(BUILDDIR)/contrib/auto-render.min.js

$(BUILDDIR)/contrib/auto-render.min.js: $(BUILDDIR)/auto-render.js
	$(UGLIFYJS) < $< > $@

$(BUILDDIR)/auto-render.js: auto-render.js
	$(BROWSERIFY) -t [ babelify ] $< --standalone renderMathInElement > $@

=== debian/changelog ===
node-katex (0.8.3+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #801196)

 -- Pirate Praveen <praveen@debian.org>  Fri, 10 Nov 2017 11:15:55 +0530

=== debian/control ===
Source: node-katex
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , node-babel-eslint
 , node-babel-plugin-transform-class-properties
 , node-babel-plugin-transform-runtime
 , node-babel-preset-es2015
 , node-babel-register
 , node-express
 , node-less
 , node-js-yaml
 , node-nomnom
 , node-object-assign
 , node-pako
 , node-uglify
 , zip
 , cleancss
Standards-Version: 4.1.1
Homepage: https://github.com/Khan/KaTeX#readme
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-katex.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-katex.git

Package: node-katex
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-match-at (>= 0.1.0)
Description: Fast math typesetting for the web
 KaTeX is a fast, easy-to-use JavaScript library for TeX math rendering on the
 web.
 .
 KaTeX supports all major browsers, including Chrome, Safari, Firefox, Opera,
 Edge, and IE 9 - IE 11.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

#override_dh_auto_test:

=== debian/tests/control ===
Tests: require
Depends: node-katex

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-katex-$1.tar.gz/ \
 https://github.com/Khan/KaTeX/tags .*/archive/v?([\d\.]+).tar.gz

## node-katex 0.10.2%2Bdfsg

=== debian/changelog ===
node-katex (0.10.2+dfsg-8) unstable; urgency=medium

  * Use cleancss to minify katex.css

 -- Pirate Praveen <praveen@debian.org>  Wed, 13 Jan 2021 14:51:52 +0530

node-katex (0.10.2+dfsg-7) unstable; urgency=medium

  * Team upload
  * Remove Section on katex, Section on fonts-katex that duplicate source
  * Add ctype=nodejs to component(s)
  * Replace deprecated no-uglify by uglifyjs (Closes: #979923)

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 Jan 2021 18:44:20 +0100

node-katex (0.10.2+dfsg-6) unstable; urgency=medium

  * Drop legacy rollup-plugin-alias usage

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Jan 2021 23:46:42 +0530

node-katex (0.10.2+dfsg-5) unstable; urgency=medium

  [ Xavier Guimard ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Set Multi-Arch: foreign on package fonts-katex.
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Modernize debian/watch
  * Use dh-sequence-nodejs

  [ Pirate Praveen ]
  * Tighten build dependencies
  * Drop legacy rollup-plugin-babel usage

 -- Pirate Praveen <praveen@debian.org>  Fri, 01 Jan 2021 21:33:43 +0530

node-katex (0.10.2+dfsg-4) unstable; urgency=medium

  * Highlight command line interface in description and move to tex section

 -- Pirate Praveen <praveen@debian.org>  Sat, 31 Oct 2020 22:41:53 +0530

node-katex (0.10.2+dfsg-3) unstable; urgency=medium

  * Add a README.Debian explaining the rationale for splitting katex+libjs-katex

 -- Pirate Praveen <praveen@debian.org>  Thu, 25 Jun 2020 01:32:40 +0530

node-katex (0.10.2+dfsg-2) unstable; urgency=medium

  * Revert "Remove node-less-loader from Build-Depends"
  * Revert "Skip less-loader and use lessc command"
  * Add node-file-loader as build dependency

 -- Pirate Praveen <praveen@debian.org>  Mon, 15 Jun 2020 17:45:58 +0530

node-katex (0.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Build using webpack
  * Bump debhelper compat to 11
  * Add node-mini-css-extract-plugin as build dependency (still in NEW)
  * Add node-babel-loader as build dependency
  * Use /usr/share/nodejs for resolve options in webpack.config
  * Skip cssnano by skipping minimize option
  * Embed components: babel-plugin-version-inline
  * New upstream version 0.10.2+dfsg (Closes: #961005)
  * Use pkg-js-tools for component auto linking to node_modules
  * Build babel-plugin-version-inline with babel 7
  * Add node-css-loader as build dependency
  * Add katex-fonts as a component and symlink to submodules directory
  * Remove dist/contrib from orig source and clean
  * Run rollup during build (Closes: #945556)
  * Skip less-loader and use lessc command
  * Fix katex command link and use pkg-js-tools auto install
  * Add libjs-katex binary package
  * Don't install any components in binary package
    (add empty debian/nodejs/submodules file)
  * Add fonts-katex binary package (Closes: #901382)
  * Rename node-katex to katex and add Provides: node-katex
  * Replace copy of fonts in libjs-katex with symbolic link to fonts-katex
  * Replace duplicate copy of dist with symbolic link to libjs-katex
  * Use salsa.debian.org in Vcs-* fields
  * Use Breaks instead of conflicts
  * Add Section: fonts for fonts-katex
  * Add ${misc:Depends} to libjs-katex and fonts-katex
  * Add deversion mangle for component katex-fonts
  * Add comment to patch

 -- Pirate Praveen <praveen@debian.org>  Wed, 20 May 2020 17:30:55 +0530

node-katex (0.8.3+dfsg-2) unstable; urgency=medium

  * Build with Babel 7

 -- Pirate Praveen <praveen@debian.org>  Mon, 11 May 2020 21:13:15 +0530

## node-katex 0.10.2+dfsg

=== src/Makefile ===
#!gmake
#
# Version: Apache License 2.0
#
# Copyright (c) 2013 The MathJax Consortium
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

CUSTOM=custom.cfg

-include $(CUSTOM)

help:
	@echo "Usage:"
	@echo ""
	@echo "make config"
	@echo "  Generate the Perl configuration"
	@echo ""
	@echo "make clean"
	@echo "  Remove temporary directories and files."
	@echo ""

$(CUSTOM):
	@cp default.cfg $(CUSTOM);
	@echo "Configuration file '$(CUSTOM)' created.";
	@echo "Edit this file and run 'make config'.";
	@exit 1

$(CUSTOM).pl: $(CUSTOM)
	@echo "Creating Perl config file..."
	@cp $(CUSTOM) $(CUSTOM).pl
	@echo >> $(CUSTOM).pl # ensure that the config file ends by a new line
	@echo "MFTRACE_PATH=`$(WHICH) $(MFTRACE)`" >> $(CUSTOM).pl
	@$(SED) -i "s|^\([A-Z_0-9]*\)=\(.*\)|$$\1='\2';|" $(CUSTOM).pl
	@echo "1;" >> $(CUSTOM).pl

config: $(CUSTOM).pl

clean:
	rm -f $(CUSTOM).pl

=== src/fonts/Makefile ===
#!gmake
#
# Version: Apache License 2.0
#
# Copyright (c) 2013 MathJax Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

include ../custom.cfg

MFTRACE_MODIFIED=lib/mftrace-modified

all: fonts

blacker: $(MFTRACE_MODIFIED)
$(MFTRACE_MODIFIED):
	$(PERL) makeBlacker 15 # values between 10 and 30 seem best

pfa: $(MFTRACE_MODIFIED)
	@echo "cmr10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --simplify cmr10

	@echo "cmmi10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --encoding $(TETEXENCODING)/aae443f0.enc --simplify cmmi10

	@echo "cmsy10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --encoding $(TETEXENCODING)/10037936.enc --simplify cmsy10

	@echo "cmex10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --simplify cmex10

	@echo "cmbx10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --simplify cmbx10

	@echo "cmbxti10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --simplify cmbxti10

	@echo "cmti10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --simplify cmti10

	@echo "msam10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --simplify --encoding $(TETEXENCODING)/10037936.enc msam10

	@echo "msbm10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --simplify --encoding $(TETEXENCODING)/10037936.enc msbm10

	@echo "cmmib10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --encoding $(TETEXENCODING)/aae443f0.enc --simplify cmmib10

	@echo "cmbsy10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --encoding $(TETEXENCODING)/10037936.enc --simplify cmbsy10

	@echo "cmtt10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --simplify cmtt10

	@echo "cmss10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --simplify cmss10
	@echo "cmssi10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --simplify cmssi10
	@echo "cmssbx10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --simplify cmssbx10

	@echo "eufm10"
	cp "`$(KPSEWHICH) eufm10.pfb`" eufm10.pfb
	@echo "eufb10"
	cp "`$(KPSEWHICH) eufb10.pfb`" eufb10.pfb

	# echo "eusm10"
	# $(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --simplify eusm10
	# echo "eusb10"
	# $(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --simplify eusb10

	@echo "rsfs10"
	$(PYTHON) $(MFTRACE_MODIFIED) --magnification 1000 --simplify --encoding $(BASEENCODING)/tex256.enc rsfs10

	mkdir -p pfa
	rm -f pfa/*
	mv *.pfa pfa
	mv *.pfb pfa

ff: pfa
	mkdir -p ff otf
	rm -f ff/* otf/*
	$(PERL) makeFF

.PHONY: fonts
fonts: ff
	mkdir -p ttf woff woff2
	rm -f ttf/* woff/* woff2/*

	@for file in `ls ff/*.ff | $(SED) 's|ff/\(.*\)\.ff|\1|'`; do \
		echo ""; \
		echo $$file; \
		$(FONTFORGE) -lang=ff -script ff/$$file.ff; \
		\
		echo "Hinting $$file"; \
		if echo "$$file" | $(GREP) -q -e "Size[1-4]" -e "Typewriter"; then \
			$(TTFAUTOHINT) --windows-compatibility --symbol ttf/$$file.ttf ttf/$$file.ttf.hinted; \
		else \
			$(TTFAUTOHINT) --windows-compatibility ttf/$$file.ttf ttf/$$file.ttf.hinted; \
		fi; \
		mv ttf/$$file.ttf.hinted ttf/$$file.ttf; \
		\
		echo "Generating $$file..."; \
		$(PYTHON) generate_fonts.py ttf/$$file.ttf; \
		done

clean:
	rm -f $(MFTRACE_MODIFIED) lib/blacker.mf
	rm -rf pfa ff otf ttf woff woff2

=== debian/control ===
Source: node-katex
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 , debhelper-compat (= 12)
 , nodejs
 , pkg-js-tools (>= 0.9.35~)
 , node-babel-eslint
 , node-babel7
 , node-express
 , node-js-yaml
 , node-nomnom
 , node-object-assign
 , node-pako
 , node-uglify
 , zip
 , cleancss
 , rollup
 , node-rollup-plugin-alias
 , node-rollup-plugin-babel
 , webpack
 , node-mini-css-extract-plugin
 , node-babel-loader (>= 8.0~)
 , node-css-loader (>= 2.1~)
 , node-less-loader (>= 4.1~)
 , node-file-loader (>= 3.0.1~)
Standards-Version: 4.5.0
Homepage: https://github.com/Khan/KaTeX#readme
Vcs-Git: https://salsa.debian.org/js-team/node-katex.git
Vcs-Browser: https://salsa.debian.org/js-team/node-katex

Package: katex
Section: tex
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-match-at (>= 0.1.0)
 , libjs-katex (=${source:Version})
Provides: node-katex (=${source:Version})
Breaks: node-katex (<= 0.8.3+dfsg-2)
Replaces: node-katex (<= 0.8.3+dfsg-2)
Description: Fast math typesetting for the web (command line interface)
 KaTeX is a fast, easy-to-use JavaScript library for TeX math rendering on the
 web.
 .
 KaTeX supports all major browsers, including Chrome, Safari, Firefox, Opera,
 Edge, and IE 9 - IE 11.
 .
 This package provides a command line interface for KaTeX, which can be used to
 render TeX to HTML. By default, CLI will take the input from standard input.
 .
 Node.js is an event-based server-side JavaScript engine.

Package: libjs-katex
Architecture: all
Depends: fonts-katex (=${source:Version}), ${misc:Depends}
Recommends: javascript-common
Description: Fast math typesetting for the web (for browsers)
 KaTeX is a fast, easy-to-use JavaScript library for TeX math rendering on the
 web.
 .
 KaTeX supports all major browsers, including Chrome, Safari, Firefox, Opera,
 Edge, and IE 9 - IE 11.
 .
 This package provides files targeted at browsers.

Package: fonts-katex
Section: fonts
Architecture: all
Depends: ${misc:Depends}
Description: Fast math typesetting for the web (fonts)
 KaTeX is a fast, easy-to-use JavaScript library for TeX math rendering on the
 web.
 .
 KaTeX supports all major browsers, including Chrome, Safari, Firefox, Opera,
 Edge, and IE 9 - IE 11.
 .
 This package provides fonts from KaTeX project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with nodejs

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/katex/usr/share/nodejs/katex/cli.js

override_dh_install:
	dh_install
	# Remove duplicate copies of fonts with symlinks
	rm -rf debian/libjs-katex/usr/share/javascript/katex/fonts
	# Remove duplicate copies of dist with symlinks
	rm -rf debian/katex/usr/share/nodejs/katex/dist

=== debian/watch ===
--- 
+++ 
@@ -5,3 +5,14 @@
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-katex-$1.tar.gz/ \
  https://github.com/Khan/KaTeX/tags .*/archive/v?([\d\.]+).tar.gz
+
+opts=\
+component=babel-plugin-version-inline,\
+dversionmangle=auto,\
+filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-babel-plugin-version-inline-$1.tar.gz/ \
+ https://github.com/gnandretta/babel-plugin-version-inline/tags .*/archive/v?([\d\.]+).tar.gz ignore
+
+opts="component=katex-fonts, mode=git, pgpmode=none",\
+dversionmangle=auto \
+  https://github.com/KaTeX/katex-fonts.git \
+  HEAD debian

## node-katex 0.13.11+~cs6.0.0

=== src/fonts/Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # Version: Apache License 2.0
 #
 # Copyright (c) 2013 MathJax Project
+# Copyright (c) 2013 The MathJax Consortium
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -17,11 +18,27 @@
 # limitations under the License.
 #
 
-include ../custom.cfg
+CUSTOM=custom.cfg
+
+-include $(CUSTOM)
 
 MFTRACE_MODIFIED=lib/mftrace-modified
 
-all: fonts
+all: config fonts
+
+$(CUSTOM):
+	@cp default.cfg $(CUSTOM);
+
+$(CUSTOM).pl: $(CUSTOM)
+	@echo "Creating Perl config file..."
+	@cp $(CUSTOM) $(CUSTOM).pl
+	@echo >> $(CUSTOM).pl # ensure that the config file ends by a new line
+	@echo "MFTRACE_PATH=`$(WHICH) $(MFTRACE)`" >> $(CUSTOM).pl
+	@$(SED) -i "s|^\([A-Z_0-9]*\)=\(.*\)|$$\1='\2';|" $(CUSTOM).pl
+	@echo "1;" >> $(CUSTOM).pl
+
+.PHONY: config
+config: $(CUSTOM).pl
 
 blacker: $(MFTRACE_MODIFIED)
 $(MFTRACE_MODIFIED):
@@ -117,5 +134,6 @@
 		done
 
 clean:
+	rm -f $(CUSTOM).pl
 	rm -f $(MFTRACE_MODIFIED) lib/blacker.mf
 	rm -rf pfa ff otf ttf woff woff2

=== debian/changelog ===
node-katex (0.13.11+~cs6.0.0-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Tue, 08 Feb 2022 14:47:00 +0530

node-katex (0.13.11+~cs6.0.0-1) experimental; urgency=medium

  * Drop fonts component (included in main tarball) excluding dist not required
  * New upstream version 0.13.11
  * Refresh patches
  * Build babel-plugin-preval component
  * Use postcss-preset-evergreen instead of postcss-preset-env
  * Stop using lessc for generating css (webpack with less-loader works now)

 -- Pirate Praveen <praveen@debian.org>  Fri, 21 Jan 2022 18:44:45 +0530

node-katex (0.10.2+dfsg-10) unstable; urgency=medium

  * Team upload.

  * fix provide minified browser-targeted library
    with extension .min.js,
    gone since 0.10.2+dfsg-1 but required by other packages
    (at least pandoc)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Jan 2022 23:56:57 +0100

node-katex (0.10.2+dfsg-9) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Fix GitHub tags regex
  * Update nodejs dependency to nodejs:any
  * Dependencies: remove node-match-at + add node-commander (Closes: #1002707)
  * Remove useless Breaks/Replaces

 -- Yadd <yadd@debian.org>  Tue, 28 Dec 2021 11:35:45 +0100

=== debian/control ===
Source: node-katex
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: cleancss
 , debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-babel-eslint
 , node-babel-loader (>= 8.0~)
 , node-babel7
 , babel-minify (>= 0.5.0-4~)
 , node-browserslist (>= 4.12~)
 , node-css-loader (>= 2.1~)
 , node-express
 , node-file-loader (>= 3.0.1~)
 , node-js-yaml
 , node-less (>= 3.0~)
 , node-less-loader
 , node-mini-css-extract-plugin
 , node-nomnom
 , node-object-assign
 , node-pako
 , node-rollup-plugin-alias
 , node-rollup-plugin-babel (>= 5.2~)
 , rollup (>= 2.34~)
 , uglifyjs
 , cleancss
 , webpack (>= 4.43~)
 , node-postcss-preset-evergreen
 , node-postcss-loader
 , zip
# for babel-plugin-preval
 , node-require-from-string
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-katex
Vcs-Git: https://salsa.debian.org/js-team/node-katex.git
Homepage: https://github.com/Khan/KaTeX#readme
Rules-Requires-Root: no

Package: katex
Architecture: all
Depends: ${misc:Depends}
 , libjs-katex (=${binary:Version})
 , node-commander
 , nodejs:any
Provides: ${nodejs:Provides}
 , node-katex (= ${binary:Version})
Description: Fast math typesetting for the web (command line interface)
 KaTeX is a fast, easy-to-use JavaScript library for TeX math rendering on the
 web.
 .
 KaTeX supports all major browsers, including Chrome, Safari, Firefox, Opera,
 Edge, and IE 9 - IE 11.
 .
 This package provides a command line interface for KaTeX, which can be used to
 render TeX to HTML. By default, CLI will take the input from standard input.
 .
 Node.js is an event-based server-side JavaScript engine.

Package: libjs-katex
Architecture: all
Depends: ${misc:Depends}
 , fonts-katex (=${binary:Version})
Recommends: javascript-common
Description: Fast math typesetting for the web (for browsers)
 KaTeX is a fast, easy-to-use JavaScript library for TeX math rendering on the
 web.
 .
 KaTeX supports all major browsers, including Chrome, Safari, Firefox, Opera,
 Edge, and IE 9 - IE 11.
 .
 This package provides files targeted at browsers.

Package: fonts-katex
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Fast math typesetting for the web (fonts)
 KaTeX is a fast, easy-to-use JavaScript library for TeX math rendering on the
 web.
 .
 KaTeX supports all major browsers, including Chrome, Safari, Firefox, Opera,
 Edge, and IE 9 - IE 11.
 .
 This package provides fonts from KaTeX project.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_fixperms:
 	dh_fixperms

## node-katex 0.16.2+~cs6.1.0

=== debian/changelog ===
node-katex (0.16.2+~cs6.1.0-4) unstable; urgency=medium

  * Team upload
  * Add patch to drop __proto__ calls

 -- Yadd <yadd@debian.org>  Sun, 18 Sep 2022 10:38:26 +0200

node-katex (0.16.2+~cs6.1.0-3) unstable; urgency=medium

  * Team upload
  * Add build dependency to node-read-pkg-up (Closes: #1020172)

 -- Yadd <yadd@debian.org>  Sun, 18 Sep 2022 09:05:32 +0200

node-katex (0.16.2+~cs6.1.0-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Sun, 04 Sep 2022 07:59:25 +0200

node-katex (0.16.2+~cs6.1.0-1) experimental; urgency=medium

  * Team upload
  * Fix section
  * Declare compliance with policy 4.6.1
  * New upstream version 0.16.2+~cs6.1.0
  * Drop fix-test-for-jest-27.patch, now included in upstream
  * Unfuzz patches
  * Build babel-plugin-preval with rollup and typescript
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Fri, 02 Sep 2022 21:41:24 +0200

node-katex (0.13.11+~cs6.0.0-3) unstable; urgency=medium

  * Team upload
  * Drop useless build dependency to node-babel-eslint
  * Add lintian overrides
  * Enable upstream test (jest)
  * Clean install
  * Fix copyright
  * Build manpage with help2man

 -- Yadd <yadd@debian.org>  Thu, 17 Mar 2022 06:45:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,19 @@
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: cleancss
- , debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
- , node-babel-eslint
+ , babel-minify (>= 0.5.0-4~)
+ , cleancss
+ , help2man
+ , jest
  , node-babel-loader (>= 8.0~)
  , node-babel7
- , babel-minify (>= 0.5.0-4~)
  , node-browserslist (>= 4.12~)
  , node-css-loader (>= 2.1~)
  , node-express
  , node-file-loader (>= 3.0.1~)
+ , node-htmlparser2 <!nocheck>
  , node-js-yaml
  , node-less (>= 3.0~)
  , node-less-loader
@@ -22,18 +24,19 @@
  , node-nomnom
  , node-object-assign
  , node-pako
+ , node-postcss-loader
+ , node-postcss-preset-evergreen
+ , node-require-from-string
+ , node-read-pkg-up
  , node-rollup-plugin-alias
  , node-rollup-plugin-babel (>= 5.2~)
+ , node-type-fest
+ , node-typescript
  , rollup (>= 2.34~)
  , uglifyjs
- , cleancss
  , webpack (>= 4.43~)
- , node-postcss-preset-evergreen
- , node-postcss-loader
  , zip
-# for babel-plugin-preval
- , node-require-from-string
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-katex
 Vcs-Git: https://salsa.debian.org/js-team/node-katex.git
 Homepage: https://github.com/Khan/KaTeX#readme
@@ -75,6 +78,7 @@
 
 Package: fonts-katex
 Architecture: all
+Section: fonts
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Fast math typesetting for the web (fonts)

## node-katex 0.16.3+~cs6.1.0

=== debian/changelog ===
node-katex (0.16.3+~cs6.1.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints
    + libjs-katex: Add Multi-Arch: foreign.

  [ Yadd ]
  * New upstream version 0.16.3+~cs6.1.0

 -- Yadd <yadd@debian.org>  Sat, 26 Nov 2022 18:32:28 +0100

node-katex (0.16.2+~cs6.1.0-5) unstable; urgency=medium

  * Team upload
  * Add fix for rollup 3 (Closes: #1022693)

 -- Yadd <yadd@debian.org>  Fri, 28 Oct 2022 14:33:33 +0200

## node-katex 0.16.4+~cs6.1.0

=== debian/changelog ===
node-katex (0.16.4+~cs6.1.0-1) unstable; urgency=medium

  * Team upload
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-3.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * New upstream version 0.16.4+~cs6.1.0

 -- Yadd <yadd@debian.org>  Fri, 09 Dec 2022 21:25:37 +0100

=== debian/control ===
--- 
+++ 
@@ -67,6 +67,7 @@
 Depends: ${misc:Depends}
  , fonts-katex (=${binary:Version})
 Recommends: javascript-common
+Multi-Arch: foreign
 Description: Fast math typesetting for the web (for browsers)
  KaTeX is a fast, easy-to-use JavaScript library for TeX math rendering on the
  web.

## node-katex 0.16.10%2B~cs6.1.0

=== debian/changelog ===
node-katex (0.16.10+~cs6.1.0-2ubuntu0.25.04.1) plucky-security; urgency=medium

  * SECURITY UPDATE: Code execution
    - debian/patches/CVE-2025-23207.patch: Improve escape character
      handling
    - CVE-2025-23207

 -- Bruce Cable <bruce.cable@canonical.com>  Mon, 16 Jun 2025 10:44:53 +1000

node-katex (0.16.10+~cs6.1.0-2) unstable; urgency=medium

  * Team upload
  * Fix katex alias in contrib (render also build reproducible)

 -- Yadd <yadd@debian.org>  Wed, 27 Mar 2024 08:23:43 +0400

node-katex (0.16.10+~cs6.1.0-1) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.2, no changes needed.
  * Drop .yarn from import
  * New upstream version (Closes: #1067805, CVE-2024-28243, CVE-2024-28244,
    CVE-2024-28245, CVE-2024-28246)
  * Refresh patches
  * Fix babel-plugin-preval version

 -- Yadd <yadd@debian.org>  Wed, 27 Mar 2024 07:18:56 +0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: node-katex
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
@@ -36,7 +37,7 @@
  , uglifyjs
  , webpack (>= 4.43~)
  , zip
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-katex
 Vcs-Git: https://salsa.debian.org/js-team/node-katex.git
 Homepage: https://github.com/Khan/KaTeX#readme

## node-katex 0.16.10%2b~cs6.1.0

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: node-katex
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
-Priority: optional
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , babel-minify (>= 0.5.0-4~)
@@ -37,11 +35,10 @@
  , uglifyjs
  , webpack (>= 4.43~)
  , zip
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/js-team/node-katex
 Vcs-Git: https://salsa.debian.org/js-team/node-katex.git
 Homepage: https://github.com/Khan/KaTeX#readme
-Rules-Requires-Root: no
 
 Package: katex
 Architecture: all

## node-katex 0.16.10+~cs6.1.0

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
+Priority: optional
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , babel-minify (>= 0.5.0-4~)
@@ -35,10 +36,11 @@
  , uglifyjs
  , webpack (>= 4.43~)
  , zip
-Standards-Version: 4.7.3
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-katex
 Vcs-Git: https://salsa.debian.org/js-team/node-katex.git
 Homepage: https://github.com/Khan/KaTeX#readme
+Rules-Requires-Root: no
 
 Package: katex
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 	rm -rf debian/libjs-katex/usr/share/javascript/katex/fonts
 	# Remove duplicate copies of dist with symlinks
 	rm -rf debian/katex/usr/share/nodejs/katex/dist
+	# Remove useless files
+	rm -rf debian/katex/usr/share/nodejs/katex/src/metrics \
+		debian/katex/usr/share/nodejs/katex/src/fonts/generate_fonts.py
